#!/bin/sh
# This script compiles the MegaRAID MOFs into Pegasus CIMOM, the MegaRAID
# MOFs should already have been placed in the directory sepecified under MOF_DIR 

# Set ENVIRONMENT variables that identify install locations of Pegasus

export CIMMOF=/usr/bin/cimmof
export MOF_DIR=/opt/lsi/mof

# Compile the registration and server profile instance into the interop namespace
$CIMMOF -w -nroot/PG_InterOp -I$MOF_DIR -aE $MOF_DIR/InternalRAID_R_13.mof

$CIMMOF -w -nroot/PG_InterOp -I$MOF_DIR -aE $MOF_DIR/ServerProfile_13.mof

$CIMMOF -w -nroot/PG_InterOp -I$MOF_DIR -aE $MOF_DIR/ServerProfile_R_13.mof

# Compile the GENERIC namespace
$CIMMOF -w -nroot/LsiMr13 -I$MOF_DIR -aE $MOF_DIR/InternalRAID_13.mof

